Last Comment Bug 1242718 - Enable selection events outside of nightly
: Enable selection events outside of nightly
Status: RESOLVED DUPLICATE of bug 1231923
: testcase
Product: Core
Classification: Components
Component: DOM: Events (show other bugs)
: 43 Branch
: Unspecified Unspecified
-- normal (vote)
: ---
Assigned To: Michael Layzell [:mystor]
:
: Andrew Overholt [:overholt]
Mentors:
Depends on: 1280534 1298970
Blocks: 1196479
  Show dependency treegraph
 
Reported: 2016-01-25 13:19 PST by cyril.auburtin
Modified: 2016-11-16 04:18 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
wontfix
wontfix
wontfix
wontfix
wontfix
affected
affected


Attachments
Enable selection events outside of nightly (1.01 KB, patch)
2016-06-22 13:45 PDT, Michael Layzell [:mystor]
bugs: review+
Details | Diff | Splinter Review

Description User image cyril.auburtin 2016-01-25 13:19:16 PST
User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.13 Safari/537.36

Steps to reproduce:

demo: http://jsfiddle.net/3wLt19ca/2/


Actual results:

wen selecting text, nothing happen in console, no selectionchange events


Expected results:

it should logs those events
Comment 1 User image cyril.auburtin 2016-01-27 14:01:42 PST
works on nightly
Comment 2 User image YF (Yang) 2016-02-14 00:07:47 PST
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=9771bd5e56edd07e21cf008dcadc20d7ed970ce3&tochange=9ed17db42e3e46f1c712e4dffd62d54e915e0fac

Bug 1196479 - Fire selectstart and selectionchange events on the input node when the selection in that editor changes. r=ehsan


See also bug 1248148, it has an opposite expectations.
Comment 3 User image cyril.auburtin 2016-06-13 03:41:03 PDT
document.addEventListener('selectionchange', e=>console.log('sel change')) is still not working in stable 47 and beta 48
Comment 4 User image Olli Pettay [:smaug] (pto-ish for couple of days) 2016-06-14 01:34:49 PDT
Have we not enabled the events yet?
Comment 5 User image Michael Layzell [:mystor] 2016-06-15 02:30:47 PDT
(In reply to Olli Pettay [:smaug] (high review load, please consider other reviewers) from comment #4)
> Have we not enabled the events yet?

I don't believe we have enabled them yet. To do that we just need to set the dom.select_events.enabled pref.
Comment 6 User image cyril.auburtin 2016-06-15 03:59:10 PDT
Thanks for enabling it, could you tell me for which version it'll land for sure? 
I've a polyfill http://jsfiddle.net/crl/rk6f74tw/32/ but I'd like to use only when necessary
Comment 7 User image cyril.auburtin 2016-06-15 04:00:37 PDT
50 maybe?
Comment 8 User image Michael Layzell [:mystor] 2016-06-22 13:45:51 PDT
Created attachment 8764388 [details] [diff] [review]
Enable selection events outside of nightly

This patch enables selection events outside of nightly
Comment 9 User image Michael Layzell [:mystor] 2016-07-07 13:44:11 PDT
Comment on attachment 8764388 [details] [diff] [review]
Enable selection events outside of nightly

Review of attachment 8764388 [details] [diff] [review]:
-----------------------------------------------------------------

Smaug, do you think we're ready to enable these outside of nightly?
Comment 10 User image Olli Pettay [:smaug] (pto-ish for couple of days) 2016-07-08 12:42:43 PDT
Comment on attachment 8764388 [details] [diff] [review]
Enable selection events outside of nightly

I guess so. At least we'd get more feedback and if there are regressions on aurora/beta, we can disable easily.
Comment 11 User image Pulsebot 2016-07-13 11:00:15 PDT
Pushed by michael@thelayzells.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/08845358703f
Enable selection events outside of nightly, r=smaug
Comment 12 User image Wes Kocher (:KWierso) 2016-07-13 14:10:09 PDT
https://hg.mozilla.org/mozilla-central/rev/08845358703f
Comment 13 User image Michael Layzell [:mystor] 2016-08-29 15:04:52 PDT
Re-opening because of backout coming in bug 1280534 - Should be re-landable once bug 1298970 is fixed.
Comment 14 User image Ryan VanderMeulen [:RyanVM] 2016-08-30 07:00:55 PDT
Merge of backout:
https://hg.mozilla.org/mozilla-central/rev/21fb1f17d958
Comment 15 User image Ryan VanderMeulen [:RyanVM] 2016-08-30 17:02:53 PDT
And from Aurora:
https://hg.mozilla.org/releases/mozilla-aurora/rev/6b222a7b59be
Comment 16 User image Michael Layzell [:mystor] 2016-09-27 09:11:29 PDT

*** This bug has been marked as a duplicate of bug 1231923 ***

Note You need to log in before you can comment on or make changes to this bug.